# zisk medailí na ZOH 2018
#   země, medailí: zlatých, stříbných, bronzových

medaile = [
    ["Belgie",0,1,0],
    ["Nový Zéland",0,0,2],
    ["Španělsko",0,0,2],
    ["Japonsko",4,5,4],
    ["Kazachstán",0,0,1],
    ["Lichtenštejnsko",0,0,1],
    ["Lotyšsko",0,0,1],
    ["Slovensko",1,2,0],
    ["Německo",14,10,7],
    ["Kanada",11,8,10],
    ["Spojené státy americké",9,8,6],
    ["Švýcarsko",5,6,4],
    ["Austrálie",0,2,1],
    ["Slovinsko",0,1,1],
    ["Finsko",1,1,4],
    ["Velká Británie",1,0,4],
    ["Ukrajina",1,0,0],
    ["Polsko",1,0,1],
    ["Francie",5,4,6],
    ["Rakousko",5,3,6],
    ["Nizozemsko",8,6,6],
    ["Švédsko",7,6,1],
    ["Korejská republika",5,8,4],
    ["Česká republika",2,2,3],
    ["Itálie",3,2,5],
    ["Tým OAR",2,6,9],
    ["Bělorusko",2,1,0],
    ["Čína",1,6,2],
    ["Norsko",14,14,11],
    ["Maďarsko",1,0,0]]

# funkce pro řazení podle olympiského pořadí, tj. podle počtu medailí 
# zlatých, při shodě dle stříbrných, při shodě dle bronzových
def olymp_poradi(data):
    return data[1:]        # podseznam (budou řazeny lexikograficky)

# funkce pro řazení podle celkového počtu medailí
def pocet_medaili(data):
    return sum(data[1:])   # součet zlatých, stříbrných a bronzových

# pořadí zemí podle olympijského řazení
poradi1 = sorted(medaile, key = olymp_poradi, reverse = True)
print("Olympijské pořadí zemí")
for i in range(len(poradi1)):
    print("{:2d}. {:25s} {}".format(i + 1, poradi1[i][0], poradi1[i][1:]))
print()

# pořadí zemí podle celkového počtu medailí
poradi2 = sorted(medaile, key = pocet_medaili, reverse = True)
print("Pořadí zemí podle celkového počtu medailí")
for i in range(len(poradi1)):
    print("{:2d}. {:25s} {:2d}".format(i + 1, poradi2[i][0], sum(poradi2[i][1:])))
print()
